Skip to content
API Reference

Retrieve

GET/organizations/{organization_id}/users/{user_id}

Get a specific user in an organization

Path ParametersExpand Collapse
organization_id: string

Organization ID or label identifier

minLength1
maxLength255
user_id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
Query ParametersExpand Collapse
expand: optional array of "permissions"

Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.

Header ParametersExpand Collapse
"X-Client-Request-ID": optional string
formatuuid
ReturnsExpand Collapse
OrganizationUser = object { id, created_at, role, 5 more }
id: string

The keycard account ID

minLength1
maxLength255
created_at: string

The time the entity was created in utc

formatdate-time

User's role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
source: string

Identity provider issuer

formaturi

Status of organization membership

Accepts one of the following:
"active"
"disabled"
updated_at: string

The time the entity was mostly recently updated in utc

formatdate-time
email: optional string

User email address

formatemail
permissions: optional map[map[boolean]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Retrieve

curl https://api.keycard.ai/organizations/$ORGANIZATION_ID/users/$USER_ID
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "role": "org_admin",
  "source": "https://example.com",
  "status": "active",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "email": "dev@stainless.com",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "role": "org_admin",
  "source": "https://example.com",
  "status": "active",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "email": "dev@stainless.com",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}